using ResourcesManager.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ResourcesManager.Interfaces
{
    public interface IUserRepository : IDisposable
    {
        IEnumerable<ApplicationUser> GetUsers();
        ApplicationUser GetUserByID(string id);
        void InsertUser(ApplicationUser resource);
        void DeleteUser(string id);
        void UpdateUser(ApplicationUser resource);
        void Save();
    }
}
